aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfce4-screenshooter/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfce4-screenshooter/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfce4-screenshooter/APKBUILD')
-rw-r--r--main/xfce4-screenshooter/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/xfce4-screenshooter/APKBUILD b/main/xfce4-screenshooter/APKBUILD
new file mode 100644
index 0000000000..cde73790c2
--- /dev/null
+++ b/main/xfce4-screenshooter/APKBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-screenshooter
+pkgver=1.6.0
+pkgrel=0
+pkgdesc="screenshot application for Xfce4"
+url="http://goodies.xfce.org/projects/applications/xfce4-screenshooter"
+license="GPL2"
+subpackages="$pkgname-doc"
+depends=
+makedepends="xfce4-panel-dev intltool hicolor-icon-theme libsm-dev
+ e2fsprogs-dev"
+install="xfce4-screenshooter.post-install xfce4-screenshooter.post-upgrade
+ xfce4-screenshooter.post-deinstall"
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="331750879b966eec639eb3fe3045cb16 xfce4-screenshooter-1.6.0.tar.gz
+db51db79681eadc47be4932355a77c25 xfce4-screenshooter.post-install
+db51db79681eadc47be4932355a77c25 xfce4-screenshooter.post-upgrade
+db51db79681eadc47be4932355a77c25 xfce4-screenshooter.post-deinstall"